#include <bits/stdc++.h>

using namespace std;

map<int,vector<int>>mp;


int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n, m; cin >> n >> m;
    for(int i=0;i<n;i++){
        int lo, hi;cin >> lo >> hi;
        mp[lo].push_back(i);
    }
    for(int i=0;i<m;i++){
        int l, r, v; cin >> l >> r >> v;
        auto vct = mp[v];
        int lo = lower_bound(vct.begin(), vct.end(), l) - vct.begin();
        int hi = upper_bound(vct.begin(), vct.end(), r) - vct.begin();
        cout << hi - lo << '\n';
    }
    return 0;
}